// ignore_for_file: must_be_immutable, unused_field, prefer_final_fields

import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikHeadlineProps.dart';

class UikHeadline extends UikWidget {
  // ignore: prefer_final_fields
  WidgetType _widgetType;
  // ignore: non_constant_identifier_names
  UikHeadlineProps _UikHeadlineProps;
  UikHeadline(this._widgetType, this._UikHeadlineProps)
      : super(_widgetType, _UikHeadlineProps);

  @override
  _UikHeadlineState createState() => _UikHeadlineState(_UikHeadlineProps);
}

class _UikHeadlineState extends State<UikHeadline> {
  UikHeadlineProps _UikHeadlineProps;
  _UikHeadlineState(this._UikHeadlineProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(
        top: _UikHeadlineProps.topMargin,
        bottom: _UikHeadlineProps.bottomMargin,
        left: _UikHeadlineProps.leftMargin,
        right: _UikHeadlineProps.rightMargin,
      ),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Container(
            
            child: (_UikHeadlineProps.firstText != null)
                ? _UikHeadlineProps.firstText
                : const Text(""),
          ),
          SizedBox(height: 8,),
          Container(
            child: (_UikHeadlineProps.secondText != null)
                ? _UikHeadlineProps.secondText
                : const Text(""),
          ),
        ],
      ),
    );
  }
}
