// ignore_for_file: file_names, prefer_final_fields

import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';

import '../props/UikHomeCardElevenProps.dart';
import '../utils/UikActionListner.dart';

// ignore: must_be_immutable
class UikHomeCardEleven extends UikWidget {
  // ignore: unused_field
  WidgetType _widgetType;
  UikHomeCardElevenProps _uikHomeCardElevenProps;
  UikHomeCardEleven(this._widgetType, this._uikHomeCardElevenProps)
      : super(_widgetType, _uikHomeCardElevenProps);

  @override
  _UikHomeCardElevenState createState() =>
      // ignore: no_logic_in_create_state
      _UikHomeCardElevenState(_uikHomeCardElevenProps);
}

class _UikHomeCardElevenState extends State<UikHomeCardEleven> {
  // ignore: unused_field
  UikHomeCardElevenProps _uikHomeCardElevenProps;
  _UikHomeCardElevenState(this._uikHomeCardElevenProps);

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: () async {
        await executeUikWidgetAction(_uikHomeCardElevenProps.action);
      },
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          _uikHomeCardElevenProps.image!,
          Container(
            margin: const EdgeInsets.only(top: 10),
            width: 164,
            height: 32,
            child: _uikHomeCardElevenProps.desc,
          ),
          //.........price...........
          Container(
            margin: const EdgeInsets.only(top: 6),
            width: 164,
            height: 19,
            child: _uikHomeCardElevenProps.price,
          ),
          _uikHomeCardElevenProps.button!,
        ],
      ),
    );
  }
}
