// ignore_for_file: file_names, prefer_final_fields

import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikHomeCardFiveProps.dart';

// ignore: must_be_immutable
class UikHomeCardFive extends UikWidget {
  // ignore: unused_field
  WidgetType _widgetType;
  UikHomeCardFiveProps _uikHomeCardFiveProps;
  UikHomeCardFive(this._widgetType, this._uikHomeCardFiveProps)
      : super(_widgetType, _uikHomeCardFiveProps);

  @override
  _UikHomeCardFiveState createState() =>
      // ignore: no_logic_in_create_state
      _UikHomeCardFiveState(_uikHomeCardFiveProps);
}

class _UikHomeCardFiveState extends State<UikHomeCardFive> {
  // ignore: unused_field
  UikHomeCardFiveProps _uikHomeCardFiveProps;
  _UikHomeCardFiveState(this._uikHomeCardFiveProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(
        top: _uikHomeCardFiveProps.marginTop,
        bottom: _uikHomeCardFiveProps.marginBottom,
        left: _uikHomeCardFiveProps.marginLeft,
        right: _uikHomeCardFiveProps.marginRight,
      ),
      child: Stack(
        children: [
          Container(
            width: 343.0 + 32,
            height: 100.0,
            decoration: BoxDecoration(
              color: const Color(0xFFF5F5F5),
              borderRadius: BorderRadius.circular(8.0),
            ),
          ),
          Positioned(
            top: 16,
            left: 16,
            child: _uikHomeCardFiveProps.text!,
          ),
          Positioned(
            top: 0,
            bottom: 0,
            left: 261 + 32,
            child: _uikHomeCardFiveProps.image!,
          ),
        ],
      ),
    );
  }
}
