import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikHomeCardOneProps.dart';

// ignore: must_be_immutable
class UikHomeCardOne extends UikWidget {
  // ignore: unused_field
  WidgetType _widgetType;
  UikHomeCardOneProps _uikHomeCardOneProps;
  UikHomeCardOne(this._widgetType, this._uikHomeCardOneProps)
      : super(_widgetType, _uikHomeCardOneProps);

  @override
  _UikHomeCardOneState createState() =>
      _UikHomeCardOneState(_uikHomeCardOneProps);
}

class _UikHomeCardOneState extends State<UikHomeCardOne> {
  UikHomeCardOneProps _uikHomeCardOneProps;
  _UikHomeCardOneState(this._uikHomeCardOneProps);

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Stack(
          children: [
           _uikHomeCardOneProps.image!,
            Positioned(
              top: 48.0,
              left: 8.0,
              right: 8.0,
              bottom: 8.0,
              child: _uikHomeCardOneProps.text!,
            )
          ],
        )
      ],
    );
  }
}
