import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikHomeCardSevenProps.dart';

// ignore: must_be_immutable
class UikHomeCardSeven extends UikWidget {
  // ignore: unused_field, prefer_final_fields
  WidgetType _widgetType;
  final UikHomeCardSevenProps _uikHomeCardSevenProps;
  UikHomeCardSeven(this._widgetType, this._uikHomeCardSevenProps)
      : super(_widgetType, _uikHomeCardSevenProps);

  @override
  _UikHomeCardSevenState createState() =>
      // ignore: no_logic_in_create_state
      _UikHomeCardSevenState(_uikHomeCardSevenProps);
}

class _UikHomeCardSevenState extends State<UikHomeCardSeven> {
  // ignore: unused_field
  UikHomeCardSevenProps _uikHomeCardSevenProps;
  _UikHomeCardSevenState(this._uikHomeCardSevenProps);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        margin: EdgeInsets.only(
          top: _uikHomeCardSevenProps.marginTop,
          bottom: _uikHomeCardSevenProps.marginBottom,
          left: _uikHomeCardSevenProps.marginLeft,
          right: _uikHomeCardSevenProps.marginRight,
        ),
        child: Stack(
          children: [
            Container(
              width: 343.0 + 32,
              height: 98.0,
              decoration: const BoxDecoration(
                color: Color(0xFFFEF2A0),
                borderRadius: BorderRadius.only(
                  topLeft: Radius.circular(8),
                  topRight: Radius.circular(8),
                ),
              ),
            ),
            Positioned(
              left: 7,
              top: 14,
              child: _uikHomeCardSevenProps.heading!,
            ),
            Positioned(
              left: 9,
              top: 40,
              child: _uikHomeCardSevenProps.subheading!,
            ),
            Positioned(
              left: 291 + 32,
              top: 23,
              child: _uikHomeCardSevenProps.sideText!,
            )
          ],
        ),
      ),
    );
  }
}
