import 'package:flutter/material.dart';
// ignore: file_names
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikHomeCardThreeProps.dart';

class UikHomeCardThree extends UikWidget {
  WidgetType _widgetType;
  UikHomeCardThreeProps _uikHomeCardThreeProps;
  UikHomeCardThree(this._widgetType, this._uikHomeCardThreeProps)
      : super(_widgetType, _uikHomeCardThreeProps);

  @override
  _UikHomeCardThreeState createState() =>
      _UikHomeCardThreeState(_uikHomeCardThreeProps);
}

class _UikHomeCardThreeState extends State<UikHomeCardThree> {
  UikHomeCardThreeProps _uikHomeCardThreeProps;
  _UikHomeCardThreeState(this._uikHomeCardThreeProps);

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Container(
          width: 107,
          height: 140 + 3,
          decoration: BoxDecoration(
            color: const Color(0xFFE0E0E0),
            borderRadius: BorderRadius.circular(3.0),
          ),
          child: Column(
            children: [
              (_uikHomeCardThreeProps.image != null)
                  ? _uikHomeCardThreeProps.image!
                  : const Text(""),
              Container(
                margin: const EdgeInsets.only(
                  top: 7,
                  left: 35,
                  right: 35,
                ),
                child: _uikHomeCardThreeProps.text,
              ),
            ],
          ),
        ),
      ],
    );
  }
}
