// ignore_for_file: prefer_final_fields, no_logic_in_create_state

import "package:flutter/material.dart";
import 'package:google_fonts/google_fonts.dart';
import 'package:ui_sdk/components/UikImage.dart';
import 'package:ui_sdk/components/UikText.dart';
import 'package:ui_sdk/components/WidgetType.dart';

import '../props/UikListItemCustomerProps.dart';
import 'UikWidget.dart';

// ignore: must_be_immutable
class UikListItemCustomer extends UikWidget {
  // ignore: unused_field
  WidgetType _widgetType;
  UikListItemCustomerProps _uikListItemCustomerProps;
  UikListItemCustomer(this._widgetType, this._uikListItemCustomerProps)
      : super(_widgetType, _uikListItemCustomerProps);

  @override
  _UikListCustomerState createState() =>
      _UikListCustomerState (_uikListItemCustomerProps);
}

class _UikListCustomerState extends State<UikListItemCustomer> {
  UikListItemCustomerProps _uikListItemCustomerProps;
  _UikListCustomerState(this._uikListItemCustomerProps);

  @override
  Widget build(BuildContext context) {
    return ListTile(
      onTap: () {
      },
      leading: CircleAvatar(
        backgroundColor: Colors.yellow,
        child: Text("S"),
      ),
      title:  UikText(WidgetType.UikText, _uikListItemCustomerProps.name),
      subtitle: UikText(WidgetType.UikText, _uikListItemCustomerProps.phone),
      trailing: UikText(WidgetType.UikText, _uikListItemCustomerProps.date),
    );

    //   Container(
    //   color: Color(0xFFFFFFFF),
    //   height: _uikListItemCustomerProps.height,
    //   width: _uikListItemCustomerProps.width,
    //   padding: const EdgeInsets.only(left: 16),
    //   child: Row(
    //     children: [
    //       UikImage(WidgetType.UikImage, _uikListItemCustomerProps.image),
    //       const SizedBox(width: 8,),
    //       Column(
    //         children: [
    //           const SizedBox(height: 13,),
    //           UikText(WidgetType.UikText, _uikListItemCustomerProps.name),
    //           const SizedBox(height: 4,),
    //           UikText(WidgetType.UikText, _uikListItemCustomerProps.phone),
    //         ],
    //       ),
    //       const SizedBox(width: 135,),
    //       UikText(WidgetType.UikText, _uikListItemCustomerProps.date),
    //     ],
    //   ),
    // );
  }
}
