import 'package:flutter/material.dart';
import 'package:lottie/lottie.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';

import '../props/UikLottieViewProps.dart';

// ignore: must_be_immutable
class UikLottieView extends UikWidget {
  // ignore: prefer_final_fields
  WidgetType _widgetType;
  UikLottieViewProps _UikLottieViewProps;
  UikLottieView(this._widgetType, this._UikLottieViewProps)
      : super(_widgetType, _UikLottieViewProps);

  @override
  _UikLottieViewState createState() => _UikLottieViewState(_UikLottieViewProps);
}

class _UikLottieViewState extends State<UikLottieView> {
  UikLottieViewProps _UikLottieViewProps;
  _UikLottieViewState(this._UikLottieViewProps);

  @override
  Widget build(BuildContext context) {
    return AspectRatio(
      aspectRatio: 16/9,
      child: Center(
        child:
        Lottie.network(
             _UikLottieViewProps.url,
            height: _UikLottieViewProps.height,
            width: _UikLottieViewProps.width,
            repeat: _UikLottieViewProps.repeat,
            reverse: _UikLottieViewProps.reverse,
        ),
      ),
    );
  }
}
