import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';

import '../props/UikMyOrderCardProps.dart';
import 'UikScrollProducts.dart';
import 'UikTwoComponentRow.dart';

class UikMyOrderCard extends UikWidget {
  WidgetType _widgetType;
  UikMyOrderCardProps _UikMyOrderCardProps;
  UikMyOrderCard(this._widgetType, this._UikMyOrderCardProps)
      : super(_widgetType, _UikMyOrderCardProps);

  @override
  _UikMyOrderCardState createState() =>
      _UikMyOrderCardState(_UikMyOrderCardProps);
}


class _UikMyOrderCardState extends State<UikMyOrderCard> {
  UikMyOrderCardProps _UikMyOrderCardProps;
  _UikMyOrderCardState(this._UikMyOrderCardProps);
  final ScrollController controller = ScrollController();

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        UikTwoComponentRow(
          WidgetType.UikTwoComponentRow,
          _UikMyOrderCardProps.firstRowProps,
        ),
        UikTwoComponentRow(
          WidgetType.UikTwoComponentRow,
          _UikMyOrderCardProps.secondRowProps,
        ),
        UikScrollProducts(
          WidgetType.UikScrollProducts,
          _UikMyOrderCardProps.scrollProductsProps,
        ),
      ],
    );
  }
}
