// ignore_for_file: must_be_immutable, unused_field, prefer_final_fields

import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikShortAndFilterProps.dart';

class UikShortAndFilter extends UikWidget {
  // ignore: prefer_final_fields
  WidgetType _widgetType;
  // ignore: non_constant_identifier_names
  UikShortAndFilterProps _UikShortAndFilterProps;
  UikShortAndFilter(this._widgetType, this._UikShortAndFilterProps)
      : super(_widgetType, _UikShortAndFilterProps);

  @override
  _UikShortAndFilterState createState() =>
      _UikShortAndFilterState(_UikShortAndFilterProps);
}

class _UikShortAndFilterState extends State<UikShortAndFilter> {
  UikShortAndFilterProps _UikShortAndFilterProps;
  _UikShortAndFilterState(this._UikShortAndFilterProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(
        top: _UikShortAndFilterProps.topMargin,
        bottom: _UikShortAndFilterProps.bottomMargin,
        left: _UikShortAndFilterProps.leftMargin,
        right: _UikShortAndFilterProps.rightMargin,
      ),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          Container(
            child: (_UikShortAndFilterProps.short != null)
                ? _UikShortAndFilterProps.short
                : const Text(""),
          ),
          SizedBox(
            width: 15,
          ),
          Container(
            child: (_UikShortAndFilterProps.filter != null)
                ? _UikShortAndFilterProps.filter
                : const Text(""),
          ),
        ],
      ),
    );
  }
}
