// ignore_for_file: prefer_final_fields, no_logic_in_create_state

import "package:flutter/material.dart";
import 'package:ui_sdk/components/WidgetType.dart';

import '../props/UikThreeComponentRowProps.dart';
import 'UikWidget.dart';

// ignore: must_be_immutable
class UikThreeComponentRow extends UikWidget {
  // ignore: unused_field
  WidgetType _widgetType;
  UikThreeComponentRowProps _uikThreeComponentRowProps;
  UikThreeComponentRow(this._widgetType, this._uikThreeComponentRowProps)
      : super(_widgetType, _uikThreeComponentRowProps);

  @override
  _UikThreeComponentRowState createState() =>
      _UikThreeComponentRowState(_uikThreeComponentRowProps);
}

class _UikThreeComponentRowState extends State<UikThreeComponentRow> {
  UikThreeComponentRowProps _uikThreeComponentRowProps;
  _UikThreeComponentRowState(this._uikThreeComponentRowProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(
        top: _uikThreeComponentRowProps.marginTop,
        bottom: _uikThreeComponentRowProps.marginBottom,
        right: _uikThreeComponentRowProps.marginRight,
        left: _uikThreeComponentRowProps.marginLeft,
      ),
      child: ListTile(
        leading: (_uikThreeComponentRowProps.icon != null)
            ? _uikThreeComponentRowProps.icon!
            : Text(""),
        title: (_uikThreeComponentRowProps.middletext != null)
            ? _uikThreeComponentRowProps.middletext!
            : Text(""),
        trailing: (_uikThreeComponentRowProps.endtext != null)
            ? _uikThreeComponentRowProps.endtext!
            : Text(""),
      ),
      // Row(
      //   // mainAxisAlignment: MainAxisAlignment.spaceBetween,
      //   children: [
      //     GestureDetector(
      //       child: _uikThreeComponentRowProps.icon!,
      //       onTap: () {},
      //     ),
      //     _uikThreeComponentRowProps.middletext!,
      //     if (_uikThreeComponentRowProps.endtext != null)
      //       _uikThreeComponentRowProps.endtext!,
      //   ],
      // ),
    );
  }
}
