import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikThreeTextCardProps.dart';

class UikThreeTextCard extends UikWidget {
  WidgetType _widgetType;
  UikThreeTextCardProps _uikThreeTextCardProps;
  UikThreeTextCard(this._widgetType, this._uikThreeTextCardProps)
      : super(_widgetType, _uikThreeTextCardProps);

  @override
  _UikThreeTextCardState createState() =>
      _UikThreeTextCardState(_uikThreeTextCardProps);
}

class _UikThreeTextCardState extends State<UikThreeTextCard> {
  final UikThreeTextCardProps _uikThreeTextCardProps;
  _UikThreeTextCardState(this._uikThreeTextCardProps);

  @override
  Widget build(BuildContext context) {
    return (_uikThreeTextCardProps.textList.length != 0)
        ? Container(
            margin: EdgeInsets.only(
              bottom: _uikThreeTextCardProps.bottomMargin,
              top: _uikThreeTextCardProps.topMargin,
              left: _uikThreeTextCardProps.leftMargin,
              right: _uikThreeTextCardProps.rightMargin,
            ),
            child: Column(
              children: [
                for (int i = 0;
                    i < _uikThreeTextCardProps.textList!.length;
                    i++) ...[
                  _uikThreeTextCardProps.textList![i],
                ]
              ],
            ),
          )
        : Text("");
  }
}
