// dog_card.dart

import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikTop100Props.dart';

class UikTop100 extends UikWidget {
  WidgetType _widgetType;
  UikTop100Props _UikTop100Props;
  UikTop100(this._widgetType, this._UikTop100Props)
      : super(_widgetType, _UikTop100Props);

  @override
  _UikTop100State createState() => _UikTop100State(_UikTop100Props);
}

class _UikTop100State extends State<UikTop100> {
  UikTop100Props _UikTop100Props;
  _UikTop100State(this._UikTop100Props);

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        SizedBox(
          width: 17,
        ),
        Stack(
          children: [
            Container(
              width: 343,
              height: 98,
              decoration: BoxDecoration(
                color: Color(0xFFFEF2A0),
                borderRadius: BorderRadius.only(
                  topLeft: Radius.circular(10),
                  topRight: Radius.circular(10),
                ),
              ),
            ),
            Positioned(
              top: 24,
              left: 17,
              child: Text(
                _UikTop100Props.newItems,
                style: GoogleFonts.poppins(
                    fontWeight: FontWeight.w400,
                    fontSize: 24,
                    color: Color(0xff212121)),
              ),
            ),
            Positioned(
              top: 54,
              left: 19,
              child: Text(
                _UikTop100Props.timeDescription,
                style: GoogleFonts.poppins(
                    fontWeight: FontWeight.w400,
                    fontSize: 16,
                    color: Color(0xff212121)),
              ),
            ),
            Positioned(
              top: 33,
              left: 301,
              child: Text(
                _UikTop100Props.tag,
                style: GoogleFonts.poppins(
                    fontWeight: FontWeight.w400,
                    fontSize: 16,
                    color: Color(0xff212121)),
              ),
            ),
          ],
        ),
      ],
    );
  }
}
