// ignore_for_file: must_be_immutable

import 'package:flutter/material.dart';
import 'package:flutter_html/flutter_html.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikWebViewWithHtmlProps.dart';

class UikHtmlRenderer extends UikWidget {
  // ignore: unused_field
  final WidgetType _widgetType;
  final UikHtmlRendererProps _htmlRendererProps;

  UikHtmlRenderer(this._widgetType, this._htmlRendererProps)
      : super(_widgetType, _htmlRendererProps);

  @override
  _UikHtmlRendererState createState() =>
      // ignore: no_logic_in_create_state
      _UikHtmlRendererState(_htmlRendererProps);
}

class _UikHtmlRendererState extends State<UikHtmlRenderer> {
  // ignore: unused_field
  final UikHtmlRendererProps _htmlRendererProps;

  _UikHtmlRendererState(this._htmlRendererProps);

  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      child: Html(
        data: _htmlRendererProps.html,
        // style: {
        //   "table": Style(
        //     backgroundColor: Color.fromARGB(0x50, 0xee, 0xee, 0xee),
        //   ),
        //   "tr": Style(
        //     border: Border(bottom: BorderSide(color: Colors.grey)),
        //   ),
        //   "th": Style(
        //     padding: EdgeInsets.all(6),
        //     backgroundColor: Colors.grey,
        //   ),
        //   "td": Style(
        //     padding: EdgeInsets.all(6),
        //     alignment: Alignment.topLeft,
        //   ),
        //   'h5': Style(maxLines: 2, textOverflow: TextOverflow.ellipsis),
        // },
        // customRender: {
        //   "table": (context, child) {
        //     return SingleChildScrollView(
        //       scrollDirection: Axis.horizontal,
        //       child:
        //       (context.tree as TableLayoutElement).toWidget(context),
        //     );
        //   },
        //   "bird": (RenderContext context, Widget child) {
        //     return TextSpan(text: "🐦");
        //   },
        //   "flutter": (RenderContext context, Widget child) {
        //     return FlutterLogo(
        //       style: (context.tree.element!.attributes['horizontal'] != null)
        //           ? FlutterLogoStyle.horizontal
        //           : FlutterLogoStyle.markOnly,
        //       textColor: context.style.color!,
        //       size: context.style.fontSize!.size! * 5,
        //     );
        //   },
        // },
        // customImageRenders: {
        //   networkSourceMatcher(domains: ["flutter.dev"]):
        //       (context, attributes, element) {
        //     return FlutterLogo(size: 36);
        //   },
        //   networkSourceMatcher(domains: ["mydomain.com"]):
        //   networkImageRender(
        //     headers: {"Custom-Header": "some-value"},
        //     altWidget: (alt) => Text(alt ?? ""),
        //     loadingWidget: () => Text("Loading..."),
        //   ),
        //   // On relative paths starting with /wiki, prefix with a base url
        //       (attr, _) =>
        //   attr["src"] != null && attr["src"]!.startsWith("/wiki"):
        //   networkImageRender(
        //       mapUrl: (url) => "https://upload.wikimedia.org" + url!),
        //   // Custom placeholder image for broken links
        //   networkSourceMatcher():
        //   networkImageRender(altWidget: (_) => FlutterLogo()),
        // },
        onCssParseError: (css, messages) {
          print("css that errored: $css");
          print("error messages:");
          messages.forEach((element) {
            print(element);
          });
        },
      ),
    );
  }
}
