import 'dart:convert';

import 'package:flutter/cupertino.dart';
import 'package:ui_sdk/components/UikListTile.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikListTileProps.dart';

import '../../props/UikListViewBuilderProps.dart';

UikListViewBuilderProps $UikListViewBuilderPropsFromJson(
    Map<String, dynamic> json) {
  final UikListViewBuilderProps uikListViewBuilderProps =
      UikListViewBuilderProps();

  final String? id = jsonConvert.convert<String>(json['id']);

  final dynamic children = jsonConvert.convert<dynamic>(json["children"]);

  if (id != null) {
    uikListViewBuilderProps.id = id;
  }

  // var en = JsonEncoder.withIndent("    ");
  // debugPrint(en.convert(children));
  uikListViewBuilderProps.children = [];
  if (children != null) {
    for (int i = 0; i < children.length; i++) {
      uikListViewBuilderProps.children.add(
        UikListTile(
            WidgetType.UikImage, UikListTileProps.fromJson(children[i])),
      );
    }
  }

  /* final List<dynamic>? ll = jsonConvert.convert<List<dynamic>>(json['ll']);
  if (ll != null) {
    for (int i = 0; i < ll.length; i++)
      uikTabBarProps.ll
          .add(UikIcon(WidgetType.UikText, UikIconProps.fromJson(ll[i])));
  } */

  return uikListViewBuilderProps;
}

Map<String, dynamic> $UikListViewBuilderPropsToJson(
    UikListViewBuilderProps entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  // data['src'] = entity.src;
  // data['action'] = entity.action.toJson();
  return data;
}
