import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikProductPageContainerProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';

import '../../components/UikButton.dart';
import '../../components/UikProductScreenTagsRow.dart';
import '../../components/UikText.dart';
import '../../components/WidgetType.dart';
import '../../props/ProductScreenTagsRow.dart';

UikProductPageContainerProps $UikProductPageContainerPropsFromJson(
    Map<String, dynamic> json) {
  final UikProductPageContainerProps uikProductPageContainerProps =
      UikProductPageContainerProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikProductPageContainerProps.id = id;
  }

  final String? price = jsonConvert.convert<String>(json['price']);

  if (price != null) {
    uikProductPageContainerProps.price =
        UikText(WidgetType.UikText, UikTextProps.fromJson(json['price']));
  }

  final String? desc = jsonConvert.convert<String>(json['desc']);

  if (desc != null) {
    uikProductPageContainerProps.desc =
        UikText(WidgetType.UikText, UikTextProps.fromJson(json['desc']));
  }

  final String? tagRow = jsonConvert.convert<String>(json['tagRow']);

  if (tagRow != null) {
    uikProductPageContainerProps.tagRow = UikProductScreenTagsRow(
        WidgetType.UikText,
        UikProductScreenTagsRowProps.fromJson(json['tagRow']));
  }

  final String? addCartButton =
      jsonConvert.convert<String>(json['addCartButton']);

  if (addCartButton != null) {
    uikProductPageContainerProps.addCartButton = UikButton(
        WidgetType.UikText, UikButtonProps.fromJson(json['addCartButton']));
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikProductPageContainerProps.action = action;
  }
  return uikProductPageContainerProps;
}
