import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikTextDividerProps.dart';

UikTextDividerProps $UikTextDividerPropsFromJson(Map<String, dynamic> json) {
  final UikTextDividerProps uikTextProps = UikTextDividerProps();

  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikTextProps.id = id;
  }

  final double? leftMargin = jsonConvert.convert<double>(json['leftMargin']);
  if (leftMargin != null) {
    uikTextProps.leftMargin = leftMargin;
  }
  
  final double? rightMargin = jsonConvert.convert<double>(json['rightMargin']);
  if (rightMargin != null) {
    uikTextProps.rightMargin = rightMargin;
  }
  
  final double? topMargin = jsonConvert.convert<double>(json['topMargin']);
  if (topMargin != null) {
    uikTextProps.topMargin = topMargin;
  }
  
  final double? bottomMargin = jsonConvert.convert<double>(json['bottomMargin']);
  if (bottomMargin != null) {
    uikTextProps.bottomMargin = bottomMargin;
  }
  
  final String? text = jsonConvert.convert<String>(json['text']);
  if (text != null) {
    uikTextProps.text = text;
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikTextProps.action = action;
  }
  return uikTextProps;
}
