import 'package:ui_sdk/components/UikText.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:ui_sdk/props/UikThreeColumnTileProps.dart';

UikThreeColumnTileProps $UikThreeColumnTilePropsFromJson(
    Map<String, dynamic> json) {
  final UikThreeColumnTileProps uikThreeColumnTileProps =
      UikThreeColumnTileProps();

  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikThreeColumnTileProps.id = id;
  }

  final double? leftMargin = jsonConvert.convert<double>(json['leftMargin']);
  if (leftMargin != null) {
    uikThreeColumnTileProps.leftMargin = leftMargin;
  }

  final double? rightMargin = jsonConvert.convert<double>(json['rightMargin']);
  if (rightMargin != null) {
    uikThreeColumnTileProps.rightMargin = rightMargin;
  }

  final double? topMargin = jsonConvert.convert<double>(json['topMargin']);
  if (topMargin != null) {
    uikThreeColumnTileProps.topMargin = topMargin;
  }

  final double? bottomMargin =
      jsonConvert.convert<double>(json['bottomMargin']);
  if (bottomMargin != null) {
    uikThreeColumnTileProps.bottomMargin = bottomMargin;
  }

  final String? text1 = jsonConvert.convert<String>(json['text1']);
  if (text1 != null) {
    uikThreeColumnTileProps.text1 = UikText(
        WidgetType.UikText,
        UikTextProps.fromJson(json["text1"]));
  }

  final String? text2 = jsonConvert.convert<String>(json['text2']);
  if (text2 != null) {
    uikThreeColumnTileProps.text2 = UikText(
        WidgetType.UikText,
        UikTextProps.fromJson(json["text2"]));
  }

  final String? text3 = jsonConvert.convert<String>(json['text3']);
  if (text3 != null) {
    uikThreeColumnTileProps.text3 = UikText(
        WidgetType.UikText,
        UikTextProps.fromJson(json["text3"]));
  }

  return uikThreeColumnTileProps;
}
