import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../../components/UikIcon.dart';
import '../../components/WidgetType.dart';
import '../../props/UikIconProps.dart';
import '../../props/UikListItemsProps.dart';

UikListItemsProps $UikListItemsPropsFromJson(Map<String, dynamic> json) {
  final UikListItemsProps uikListItemsProps = UikListItemsProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikListItemsProps.id = id;
  }

  final String? bullet = jsonConvert.convert<String>(json['bullet']);
  if (bullet != null) {
    uikListItemsProps.bullet = bullet;
  }

  final double? width = jsonConvert.convert<double>(json['width']);
  if (width != null) {
    uikListItemsProps.width = width;
  }
  final double? height = jsonConvert.convert<double>(json['height']);
  if (height != null) {
    uikListItemsProps.height = height;
  }

  final String? list = jsonConvert.convert<String>(json['list']);
  print(list);
  if (list != null) {
    uikListItemsProps.list = list.split(",");
  }

  final dynamic? iconList = jsonConvert.convert<dynamic>(json['iconList']);
  // print(iconList[0]);
  if (iconList != null) {
    for (int i = 0; i < iconList.length; i++) {
      uikListItemsProps.iconList
          .add(UikIcon(WidgetType.UikText, UikIconProps.fromJson(iconList[i])));
      print(uikListItemsProps.iconList.length);
    }
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikListItemsProps.action = action;
  }

  return uikListItemsProps;
}
