import 'package:ui_sdk/generated/json/base/json_convert_content.dart';

import '../../props/UikImageProps.dart';
import '../../props/UikListItemCustomerProps.dart';
import '../../props/UikTextProps.dart';

UikListItemCustomerProps $UikListItemCustomerPropsFromJson(
    Map<String, dynamic> json) {
  final UikListItemCustomerProps uikListItemCustomerProps =
      UikListItemCustomerProps();
  
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikListItemCustomerProps.id = id;
  }

  final double? width = jsonConvert.convert<double>(json['width']);
  if (width != null) {
    uikListItemCustomerProps.width = width;
  }

  final double? height = jsonConvert.convert<double>(json['height']);
  if (height != null) {
    uikListItemCustomerProps.height = height;
  }

  final UikTextProps name =
      jsonConvert.convert<UikTextProps>(json['name']) ?? UikTextProps(); // Provide a default value
  uikListItemCustomerProps.name = name;

  final UikTextProps phone =
      jsonConvert.convert<UikTextProps>(json['phone']) ?? UikTextProps(); // Provide a default value
  uikListItemCustomerProps.phone = phone;

  final UikTextProps date =
      jsonConvert.convert<UikTextProps>(json['date']) ?? UikTextProps(); // Provide a default value
  uikListItemCustomerProps.date = date;

  final UikImageProps image =
      jsonConvert.convert<UikImageProps>(json['image']) ?? UikImageProps(); // Provide a default value
  uikListItemCustomerProps.image = image;
  
  return uikListItemCustomerProps;
}
