
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';

import '../../props/UikImageProps.dart';
import '../../props/UikMyCustomerDetailsProps.dart';
import '../../props/UikTextProps.dart';

UikMyCustomerDetailsProps $UikMyCustomerDetailsPropsFromJson(
    Map<String, dynamic> json) {
  final UikMyCustomerDetailsProps uikMyCustomerDetailsProps =
      UikMyCustomerDetailsProps();
  
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikMyCustomerDetailsProps.id = id;
  }

  final double? width = jsonConvert.convert<double>(json['width']);
  if (width != null) {
    uikMyCustomerDetailsProps.width = width;
  }

  final double? height = jsonConvert.convert<double>(json['height']);
  if (height != null) {
    uikMyCustomerDetailsProps.height = height;
  }

  final UikTextProps name =
      jsonConvert.convert<UikTextProps>(json['name']) ?? UikTextProps(); // Provide a default value
  uikMyCustomerDetailsProps.name = name;

  final UikTextProps phone =
      jsonConvert.convert<UikTextProps>(json['phone']) ?? UikTextProps(); // Provide a default value
  uikMyCustomerDetailsProps.phone = phone;

  final UikTextProps email =
      jsonConvert.convert<UikTextProps>(json['email']) ?? UikTextProps(); // Provide a default value
  uikMyCustomerDetailsProps.email = email;

  final UikTextProps age =
      jsonConvert.convert<UikTextProps>(json['age']) ?? UikTextProps(); // Provide a default value
  uikMyCustomerDetailsProps.age = age;

  final UikTextProps state =
      jsonConvert.convert<UikTextProps>(json['state']) ?? UikTextProps(); // Provide a default value
  uikMyCustomerDetailsProps.state = state;

  final UikTextProps district =
      jsonConvert.convert<UikTextProps>(json['district']) ?? UikTextProps(); // Provide a default value
  uikMyCustomerDetailsProps.district = district;

  final UikTextProps block =
      jsonConvert.convert<UikTextProps>(json['block']) ?? UikTextProps(); // Provide a default value
  uikMyCustomerDetailsProps.block = block;

  final UikTextProps pincode =
      jsonConvert.convert<UikTextProps>(json['pincode']) ?? UikTextProps(); // Provide a default value
  uikMyCustomerDetailsProps.pincode = pincode;

  final UikTextProps employment =
      jsonConvert.convert<UikTextProps>(json['employment']) ?? UikTextProps(); // Provide a default value
  uikMyCustomerDetailsProps.employment = employment;
  

  final UikTextProps date =
      jsonConvert.convert<UikTextProps>(json['date']) ?? UikTextProps(); // Provide a default value
  uikMyCustomerDetailsProps.date = date;

  final UikImageProps image =
      jsonConvert.convert<UikImageProps>(json['image']) ?? UikImageProps(); // Provide a default value
  uikMyCustomerDetailsProps.image = image;
  
  return uikMyCustomerDetailsProps;
}
