import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikProductPagePaginationProps.dart';

import '../../components/UikImage.dart';
import '../../components/WidgetType.dart';
import '../../props/UikImageProps.dart';

UikProductPagePaginationProps $UikProductPagePaginationPropsFromJson(
    Map<String, dynamic> json) {
  final UikProductPagePaginationProps uikProductPagePaginationProps =
      UikProductPagePaginationProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikProductPagePaginationProps.id = id;
  }

  final String? image = jsonConvert.convert<String>(json['image']);

  if (image != null) {
    uikProductPagePaginationProps.image =
        UikImage(WidgetType.UikText, UikImageProps.fromJson(json['image']));
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikProductPagePaginationProps.action = action;
  }
  return uikProductPagePaginationProps;
}
