import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';

// import 'package:ui_sdk/props/UikButtonProps.dart';

import '../../components/UikIcon.dart';
import '../../components/WidgetType.dart';
import '../../props/UikIconProps.dart';
import '../../props/UikProductProps.dart';
// import 'package:ui_sdk/props/UikProductProps.dart';

UikProductProps $UikProductPropsFromJson(Map<String, dynamic> json) {
  final UikProductProps uikProductProps = UikProductProps();

  final String? imgUrl = jsonConvert.convert<String>(json['imgUrl']);
  if (imgUrl != null) {
    uikProductProps.imgUrl = imgUrl;
  }

  final String? imgPrice = jsonConvert.convert<String>(json['imgPrice']);
  if (imgPrice != null) {
    uikProductProps.imgPrice = imgPrice;
  }

  final String? imgDescription =
      jsonConvert.convert<String>(json['imgDescription']);
  if (imgDescription != null) {
    uikProductProps.imgDescription = imgDescription;
  }

  final double? imgRating = jsonConvert.convert<double>(json['imgRating']);
  if (imgRating != null) {
    uikProductProps.imgRating = imgRating;
  }

  final String? starIcon = jsonConvert.convert<String>(json['starIcon']);
  if (starIcon != null) {
    uikProductProps.starIcon =
        UikIcon(WidgetType.UikText, UikIconProps.fromJson(json['starIcon']));
  }

  final String? heartIcon = jsonConvert.convert<String>(json['heartIcon']);
  if (heartIcon != null) {
    uikProductProps.heartIcon =
        UikIcon(WidgetType.UikText, UikIconProps.fromJson(json['heartIcon']));
  }

  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikProductProps.id = id;
  }
  final String? text = jsonConvert.convert<String>(json['text']);
  if (text != null) {
    uikProductProps.text = text;
  }
  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikProductProps.action = action;
  }
  return uikProductProps;
}
