import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikVideoPlayerProps.dart';

UikVideoPlayerProps $UikVideoPlayerPropsFromJson(Map<String, dynamic> json) {
  final UikVideoPlayerProps uikVideoPlayerProps = UikVideoPlayerProps();

  final String? id = jsonConvert.convert<String>(json['id']);

  if (id != null) {
    uikVideoPlayerProps.id = id;
  }

  final bool? showVideoProgressIndicator =
      jsonConvert.convert<bool>(json['showVideoProgressIndicator']);
  if (showVideoProgressIndicator != null) {
    uikVideoPlayerProps.showVideoProgressIndicator = showVideoProgressIndicator;
  }
  final double? aspectRatio = jsonConvert.convert<double>(json['aspectRatio']);
  if (aspectRatio != null) {
    uikVideoPlayerProps.aspectRatio = aspectRatio;
  }
  final double? width = jsonConvert.convert<double>(json['aspectRatio']);
  if (width != null) {
    uikVideoPlayerProps.width = width;
  }
  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikVideoPlayerProps.action = action;
  }

  return uikVideoPlayerProps;
}
