import 'dart:convert';

import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_ProductScreenTagsRow.g.dart';
import 'package:ui_sdk/props/UikAction.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikProductScreenTagsRowProps extends WidgetProps {
  late String id;
  late List<dynamic> array = [];
  late UikAction action;

  UikProductScreenTagsRowProps();

  factory UikProductScreenTagsRowProps.fromJson(Map<String, dynamic> json) =>
      $UikProductScreenTagsRowPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
