import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_FilterRowThreeComponent_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikFilterRowThreeComponentProps extends WidgetProps {
  late String id;
  late double leftMargin = 0.0;
  late double rightMargin = 0.0;
  late double topMargin = 0.0;
  late double bottomMargin = 0.0;
  late Widget? middleText = null;
  late Widget? endText;
  late UikAction action;

  UikFilterRowThreeComponentProps();

  factory UikFilterRowThreeComponentProps.fromJson(Map<String, dynamic> json) =>
      $UikFilterRowThreeComponentPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
