import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_HomeCardNine_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikHomeCardNineProps extends WidgetProps {
  late String id;
  late Widget? image;
  late Widget? icon;
  late Widget? badgeText;
  late Widget? text;
  late Widget? description;
  late UikAction action;

  UikHomeCardNineProps();

  factory UikHomeCardNineProps.fromJson(Map<String, dynamic> json) =>
      $UikHomeCardNinePropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
