import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_HomeCardTen_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikHomeCardTenProps extends WidgetProps {
  late String id;
  late Widget? image;
  late Widget? text;
  late UikAction action;

  UikHomeCardTenProps();

  factory UikHomeCardTenProps.fromJson(Map<String, dynamic> json) =>
      $UikHomeCardTenPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
