import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_HomeCardTwelve_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikHomeCardTwelveProps extends WidgetProps {
  late String id;
  late Widget? image;
  late Widget? badgeText;
  late Widget? text;
  late UikAction action;

  UikHomeCardTwelveProps();

  factory UikHomeCardTwelveProps.fromJson(Map<String, dynamic> json) =>
      $UikHomeCardTwelvePropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
