import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/uik_icontext_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/WidgetProps.dart';

class UikIconTextProps extends WidgetProps {
  late String id;
  late double leftMargin = 0.0;
  late double topMargin = 0.0;
  late double rightMargin = 0.0;
  late double bottomMargin = 0.0;
  late double distance = 0.0; // distance between icon and title
  late UikAction action;
  late Widget icon;
  late Widget title;

  UikIconTextProps();
  factory UikIconTextProps.fromJson(Map<String, dynamic> json) =>
      $UikIconTextPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
