import 'dart:convert';

import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_my_order_card.g.dart';
import 'UikScrollProductsProps.dart';
import 'UikTwoComponentRowProps.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikMyOrderCardProps extends WidgetProps {
  late String id;
  UikTwoComponentRowProps firstRowProps = UikTwoComponentRowProps();
  UikTwoComponentRowProps secondRowProps = UikTwoComponentRowProps();
  UikScrollProductsProps scrollProductsProps = UikScrollProductsProps();
  late UikAction action = UikAction();

  UikMyOrderCardProps();

  factory UikMyOrderCardProps.fromJson(Map<String, dynamic> json) =>
      $UikMyOrderCardPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
