import 'dart:convert';

// import 'package:digia_vdl/generated/json/base/json_field.dart';
// import 'package:digia_vdl/generated/json/uik_text_props.g.dart';
// import 'package:digia_vdl/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/base/json_field.dart';
import '../generated/json/uik_order_again_product_props.g.dart';
// import '../models/Action.dart';
import 'UikAction.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikOrderAgainProductProps extends WidgetProps {
  late Widget starIcon = Icon(Icons.star);
  late String itemDes = "";
  late double itemPrice;
  late String imgUrl = "";
  late String id;
  late String text = "";
  late UikAction action;

  UikOrderAgainProductProps();

  factory UikOrderAgainProductProps.fromJson(Map<String, dynamic> json) =>
      $UikOrderAgainProductPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
