import 'dart:convert';

import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_popover_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikPopoverProps extends WidgetProps {
  late String id;
  late String headline;
  late String? textfieldData;
  late String? imageSrc;
  late String? description;
  late dynamic buttonArray;
  late UikAction action;

  UikPopoverProps();

  factory UikPopoverProps.fromJson(Map<String, dynamic> json) =>
      $UikPopoverPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
