import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_productImageTitlePriceCard_props.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikProductImageTitlePriceCardProps extends WidgetProps {
  late String id;
  late String imageUrl;
  late Widget? title;
  late Widget? price = null;
  late Widget? discountedPrice = null;
  late UikAction action;

  UikProductImageTitlePriceCardProps();

  factory UikProductImageTitlePriceCardProps.fromJson(
          Map<String, dynamic> json) =>
      $UikProductImageTitlePriceCardPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
