import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_ShortAndFilter_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikShortAndFilterProps extends WidgetProps {
  late String id;
  late double leftMargin = 0.0;
  late double rightMargin = 0.0;
  late double topMargin = 0.0;
  late double bottomMargin = 0.0;
  late Widget? filter = null;
  late Widget? short = null;
  late UikAction action;

  UikShortAndFilterProps();

  factory UikShortAndFilterProps.fromJson(Map<String, dynamic> json) =>
      $UikShortAndFilterPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
