import 'dart:convert';

import 'package:ui_sdk/generated/json/base/json_field.dart';
//import 'package:ui_sdk/generated/json/uik_Slidder_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_slidder_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikSlidderProps extends WidgetProps {
  late String id;
  late String? isRounded = null;
  late String? isRange = null;
  late double trackWidth = 300.0;
  late double minimum = 0.0;
  late double maximum = 100.0;
  late UikAction action;

  UikSlidderProps();

  factory UikSlidderProps.fromJson(Map<String, dynamic> json) =>
      $UikSlidderPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
