import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_tabbar_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikTabBarProps extends WidgetProps {
  late List<dynamic> ll = [];
  late bool isBorder = false;
  late Color indicatorColor = Colors.black;
  late Color backgroundColor = Colors.white;
  // late double iconSize;
  late double topMargin = 0.0;
  late String id;
  late String text;
  late UikAction action;

  UikTabBarProps();

  factory UikTabBarProps.fromJson(Map<String, dynamic> json) =>
      $UikTabBarPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
