import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_TopBar_props.g.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikTopBarProps extends WidgetProps {
  late String id;
  late double rightPadding = 0.0;
  late double leftPadding = 0.0;
  late double topPadding = 0.0;
  late double bottomPadding = 0.0;
  late Widget icon;
  late Widget text;

  UikTopBarProps();

  factory UikTopBarProps.fromJson(Map<String, dynamic> json) =>
      $UikTopBarPropsFromJson(json);

  Map<String, dynamic> toJson() => $UikTopBarPropsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
