import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_uploadPhoto_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikUploadPhotoProps extends WidgetProps {
  late String id;
  late UikAction action;
  late Widget? text;
  late Widget? cameraIcon;

  UikUploadPhotoProps();

  factory UikUploadPhotoProps.fromJson(Map<String, dynamic> json) =>
      $UikUploadPhotoPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
