import 'dart:convert';

import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_html_renderer_props.g.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikHtmlRendererProps extends WidgetProps {
  late String id;
  late String html;

  UikHtmlRendererProps();

  factory UikHtmlRendererProps.fromJson(Map<String, dynamic> json) =>
      $UikHtmlRendererPropsFromJson(json);

  Map<String, dynamic> toJson() => $UikHtmlRendererPropsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
