// ignore_for_file: must_be_immutable, unused_field, prefer_final_fields

import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikFilterRowThreeComponentProps.dart';

class UikFilterRowThreeComponent extends UikWidget {
  // ignore: prefer_final_fields
  WidgetType _widgetType;
  // ignore: non_constant_identifier_names
  UikFilterRowThreeComponentProps _UikFilterRowThreeComponentProps;
  UikFilterRowThreeComponent(
      this._widgetType, this._UikFilterRowThreeComponentProps)
      : super(_widgetType, _UikFilterRowThreeComponentProps);

  @override
  _UikFilterRowThreeComponentState createState() =>
      _UikFilterRowThreeComponentState(_UikFilterRowThreeComponentProps);
}

class _UikFilterRowThreeComponentState
    extends State<UikFilterRowThreeComponent> {
  UikFilterRowThreeComponentProps _UikFilterRowThreeComponentProps;
  _UikFilterRowThreeComponentState(this._UikFilterRowThreeComponentProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(
        top: _UikFilterRowThreeComponentProps.topMargin,
        bottom: _UikFilterRowThreeComponentProps.bottomMargin,
        left: _UikFilterRowThreeComponentProps.leftMargin,
        right: _UikFilterRowThreeComponentProps.rightMargin,
      ),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          Container(
            child: const Icon(Icons.close),
          ),
          Container(
            child: (_UikFilterRowThreeComponentProps.middleText != null)
                ? _UikFilterRowThreeComponentProps.middleText
                : const Text(""),
          ),
          Container(
            child: const Text("Filter"),
          ),
        ],
      ),
    );
  }
}
