import 'package:flutter/material.dart';
// ignore: file_names
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikHomeCardEightProps.dart';

class UikHomeCardEight extends UikWidget {
  WidgetType _widgetType;
  UikHomeCardEightProps _uikHomeCardEightProps;
  UikHomeCardEight(this._widgetType, this._uikHomeCardEightProps)
      : super(_widgetType, _uikHomeCardEightProps);

  @override
  _UikHomeCardEightState createState() =>
      _UikHomeCardEightState(_uikHomeCardEightProps);
}

class _UikHomeCardEightState extends State<UikHomeCardEight> {
  UikHomeCardEightProps _uikHomeCardEightProps;
  _UikHomeCardEightState(this._uikHomeCardEightProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 141.0,
      width: 110.0,
      //color: Color(0xFFFFFFFF),
      child: Column(
        children: [
          Stack(
            children: [
              Container(
                margin: const EdgeInsets.all(
                  2,
                ),
                child: _uikHomeCardEightProps.image!,
              ),
              Positioned(
                top: 6,
                left: 5,
                child: Container(
                  height: 24.0,
                  width: 46.0,
                  decoration: BoxDecoration(
                      color: const Color(0xFFFEE440),
                      borderRadius: BorderRadius.circular(
                        5,
                      )),
                ),
              ),
              Positioned(
                top: -2,
                left: 3,
                child: _uikHomeCardEightProps.badgeText!,
              )
            ],
          ),
          _uikHomeCardEightProps.text!,
        ],
      ),
    );
  }
}
