import 'package:flutter/material.dart';
// ignore: file_names
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikHomeCardTwelveProps.dart';

class UikHomeCardTwelve extends UikWidget {
  WidgetType _widgetType;
  UikHomeCardTwelveProps _uikHomeCardTwelveProps;
  UikHomeCardTwelve(this._widgetType, this._uikHomeCardTwelveProps)
      : super(_widgetType, _uikHomeCardTwelveProps);

  @override
  _UikHomeCardTwelveState createState() =>
      _UikHomeCardTwelveState(_uikHomeCardTwelveProps);
}

class _UikHomeCardTwelveState extends State<UikHomeCardTwelve> {
  UikHomeCardTwelveProps _uikHomeCardTwelveProps;
  _UikHomeCardTwelveState(this._uikHomeCardTwelveProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      //color: Color(0xFFFFFFFF),
      child: Column(
        children: [
          Stack(
            children: [
              Container(
                height: 55.0,
                width: 80.0,
                margin: const EdgeInsets.all(
                  2,
                ),
                child: _uikHomeCardTwelveProps.image!,
              )
            ],
          ),
          _uikHomeCardTwelveProps.badgeText!,
          _uikHomeCardTwelveProps.text!,
        ],
      ),
    );
  }
}
