// ignore_for_file: must_be_immutable, unused_field, prefer_final_fields

import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikJarItemProps.dart';

class UikJarItem extends UikWidget {
  // ignore: prefer_final_fields
  WidgetType _widgetType;
  // ignore: non_constant_identifier_names
  UikJarItemProps _UikJarItemProps;
  UikJarItem(this._widgetType, this._UikJarItemProps)
      : super(_widgetType, _UikJarItemProps);

  @override
  _UikJarItemState createState() => _UikJarItemState(_UikJarItemProps);
}

class _UikJarItemState extends State<UikJarItem> {
  UikJarItemProps _UikJarItemProps;
  _UikJarItemState(this._UikJarItemProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(
        top: _UikJarItemProps.topMargin,
        bottom: _UikJarItemProps.bottomMargin,
        left: _UikJarItemProps.leftMargin,
        right: _UikJarItemProps.rightMargin,
      ),
      child: Column(
        
        children: [
          Container(
            
            child: (_UikJarItemProps.firstText != null)
                ? _UikJarItemProps.firstText
                : const Text(""),
          ),
          const SizedBox(height: 8,),
          Container(
            child: (_UikJarItemProps.secondText != null)
                ? _UikJarItemProps.secondText
                : const Text(""),
          ),
        ],
      ),
    );
  }
}
