// ignore_for_file: must_be_immutable

import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikListTilesProps.dart';

class UikListTiles extends UikWidget {
  // ignore: unused_field
  final WidgetType _widgetType;
  final UikListTilesProps _uikListTilesProps;

  UikListTiles(this._widgetType, this._uikListTilesProps)
      : super(_widgetType, _uikListTilesProps);

  @override
  _UikListTilesState createState() =>
      // ignore: no_logic_in_create_state
      _UikListTilesState(_uikListTilesProps);
}

class _UikListTilesState extends State<UikListTiles> {
  // ignore: unused_field
  UikListTilesProps _uikListTilesProps;

  _UikListTilesState(this._uikListTilesProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(
          top: _uikListTilesProps.topMargin,
          bottom: _uikListTilesProps.bottomMargin,
          left: _uikListTilesProps.sideMargin,
          right: _uikListTilesProps.sideMargin),
      child: ListTile(
        leading: _uikListTilesProps.leadingText,
        trailing: _uikListTilesProps.trailingText,
      ),
    );
  }
}
