import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';

import '../props/UikMultiButtonRowProps.dart';

class UikMultiButtonRow extends UikWidget {
  WidgetType _widgetType;
  UikMultiButtonRowProps _UikMultiButtonRowProps;
  UikMultiButtonRow(this._widgetType, this._UikMultiButtonRowProps)
      : super(_widgetType, _UikMultiButtonRowProps);

  @override
  _UikMultiButtonRowState createState() =>
      _UikMultiButtonRowState(_UikMultiButtonRowProps);
}

class _UikMultiButtonRowState extends State<UikMultiButtonRow> {
  UikMultiButtonRowProps _uikMultiButtonRowProps;
  _UikMultiButtonRowState(this._uikMultiButtonRowProps);

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [..._uikMultiButtonRowProps.buttons],
    );
  }
}
