// ignore_for_file: must_be_immutable, unused_field, prefer_final_fields

import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikMyOrderProps.dart';

class UikMyOrder extends UikWidget {
  // ignore: prefer_final_fields
  WidgetType _widgetType;
  // ignore: non_constant_identifier_names
  UikMyOrderProps _UikMyOrderProps;
  UikMyOrder(this._widgetType, this._UikMyOrderProps)
      : super(_widgetType, _UikMyOrderProps);

  @override
  _UikMyOrderState createState() => _UikMyOrderState(_UikMyOrderProps);
}

class _UikMyOrderState extends State<UikMyOrder> {
  UikMyOrderProps _UikMyOrderProps;
  _UikMyOrderState(this._UikMyOrderProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(
        top: _UikMyOrderProps.topMargin,
        bottom: _UikMyOrderProps.bottomMargin,
        left: _UikMyOrderProps.leftMargin,
        right: _UikMyOrderProps.rightMargin,
      ),
      child: Column(
        children: [
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              Container(
                margin: EdgeInsets.only(right: 8),
                child: (_UikMyOrderProps.firstText != null)
                    ? _UikMyOrderProps.firstText
                    : const Text(""),
              ),
              Container(
                child: (_UikMyOrderProps.secondText != null)
                    ? _UikMyOrderProps.secondText
                    : const Text(""),
              ),
            ],
          ),
          SizedBox(
            height: 2,
          ),
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              Container(
                child: (_UikMyOrderProps.thirdText != null)
                    ? _UikMyOrderProps.thirdText
                    : const Text(""),
              ),
              Container(
                child: (_UikMyOrderProps.fourthText != null)
                    ? _UikMyOrderProps.fourthText
                    : const Text(""),
              ),
            ],
          ),
          SizedBox(
            height: 16,
          ),
          Row(
            mainAxisAlignment: MainAxisAlignment.start,
            children: [
              Container(
                decoration:
                    BoxDecoration(borderRadius: BorderRadius.circular(6)),
                width: 60,
                height: 73,
                // margin: EdgeInsets.only(left: 0),

                child: ClipRRect(
                  borderRadius: BorderRadius.circular(6),
                  child: Image(
                    fit: BoxFit.fill,
                    image: NetworkImage(_UikMyOrderProps.imageUrl),
                  ),
                ),
              ),
             SizedBox(width: 12),
              Container(
                decoration:
                    BoxDecoration(borderRadius: BorderRadius.circular(6)),
                width: 60,
                height: 73,
                // margin: EdgeInsets.only(left: 0),

                child: ClipRRect(
                  borderRadius: BorderRadius.circular(6),
                  child: Image(
                    fit: BoxFit.fill,
                    image: NetworkImage(_UikMyOrderProps.secondimageUrl),
                  ),
                ),
              ),
            ],
          ),
        ],
      ),
    );
  }
}
