import 'package:flutter/material.dart';

import '../props/UikRatingProps.dart';
import 'UikWidget.dart';
import 'WidgetType.dart';

class UikRating extends UikWidget {
  WidgetType _widgetType;

  UikRatingProps _UikRatingProps;
  UikRating(this._widgetType, this._UikRatingProps)
      : super(_widgetType, _UikRatingProps);

  @override
  _UikRatingState createState() => _UikRatingState(_UikRatingProps);
}

class _UikRatingState extends State<UikRating> {
  UikRatingProps _UikRatingProps;
  _UikRatingState(this._UikRatingProps);

  @override
  Widget build(BuildContext context) {
    return Row(mainAxisAlignment: MainAxisAlignment.center, children: [
      Icon(Icons.star,
          size: (_UikRatingProps.size == null) ? 40 : _UikRatingProps.size,
          color: Colors.yellow),
      Icon(Icons.star,
          size: (_UikRatingProps.size == null) ? 40 : _UikRatingProps.size,
          color: Colors.yellow),
      Icon(Icons.star,
          size: (_UikRatingProps.size == null) ? 40 : _UikRatingProps.size,
          color: Colors.yellow),
      Icon(Icons.star,
          size: (_UikRatingProps.size == null) ? 40 : _UikRatingProps.size,
          color: Colors.yellow),
      Icon(Icons.star,
          size: (_UikRatingProps.size == null) ? 40 : _UikRatingProps.size,
          color: Colors.yellow),
    ]);
  }
}
