// ignore_for_file: must_be_immutable, unused_field, prefer_final_fields

import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikThreeDividerProps.dart';

class UikThreeDivider extends UikWidget {
  // ignore: prefer_final_fields
  WidgetType _widgetType;
  // ignore: non_constant_identifier_names
  UikThreeDividerProps _UikThreeDividerProps;
  UikThreeDivider(this._widgetType, this._UikThreeDividerProps)
      : super(_widgetType, _UikThreeDividerProps);

  @override
  _UikThreeDividerState createState() => _UikThreeDividerState(_UikThreeDividerProps);
}

class _UikThreeDividerState extends State<UikThreeDivider> {
  UikThreeDividerProps _UikThreeDividerProps;
  _UikThreeDividerState(this._UikThreeDividerProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(
        top: _UikThreeDividerProps.topMargin,
        bottom: _UikThreeDividerProps.bottomMargin,
        left: _UikThreeDividerProps.leftMargin,
        right: _UikThreeDividerProps.rightMargin,
      ),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceEvenly,
        children: [
         
          Container(
            child: (_UikThreeDividerProps.dividerText != null)
                ? _UikThreeDividerProps.dividerText
                : const Text(""),
          ),
          Container(
            child: (_UikThreeDividerProps.dividerText != null)
                ? _UikThreeDividerProps.dividerText
                : const Text(""),
          ),
          Container(
            child: (_UikThreeDividerProps.dividerText != null)
                ? _UikThreeDividerProps.dividerText
                : const Text(""),
          ),
        ],
      ),
    );
  }
}
