// ignore_for_file: must_be_immutable, unused_field, prefer_final_fields

import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikTotalProps.dart';

class UikTotal extends UikWidget {
  // ignore: prefer_final_fields
  WidgetType _widgetType;
  // ignore: non_constant_identifier_names
  UikTotalProps _UikTotalProps;
  UikTotal(this._widgetType, this._UikTotalProps)
      : super(_widgetType, _UikTotalProps);

  @override
  _UikTotalState createState() => _UikTotalState(_UikTotalProps);
}

class _UikTotalState extends State<UikTotal> {
  UikTotalProps _UikTotalProps;
  _UikTotalState(this._UikTotalProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(
        top: _UikTotalProps.topMargin,
        bottom: _UikTotalProps.bottomMargin,
        left: _UikTotalProps.leftMargin,
        right: _UikTotalProps.rightMargin,
      ),
      child: Column(
        children: [
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              Container(
                margin: EdgeInsets.only(right: 8),
                child: (_UikTotalProps.firstText != null)
                    ? _UikTotalProps.firstText
                    : const Text(""),
              ),
              Container(
                child: (_UikTotalProps.secondText != null)
                    ? _UikTotalProps.secondText
                    : const Text(""),
              ),
            ],
          ),
          SizedBox(
            height: 2,
          ),
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              Container(
                child: (_UikTotalProps.thirdText != null)
                    ? _UikTotalProps.thirdText
                    : const Text(""),
              ),
              Container(
                child: (_UikTotalProps.fourthText != null)
                    ? _UikTotalProps.fourthText
                    : const Text(""),
              ),
            ],
          ),
         
        ],
      ),
    );
  }
}
