import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../../props/UikDropDownProps.dart';

UikDropDownProps $UikDropDownPropsFromJson(Map<String, dynamic> json) {
  final UikDropDownProps uikDropDownProps = UikDropDownProps();

  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikDropDownProps.id = id;
  }

  final double? leftMargin = jsonConvert.convert<double>(json['leftMargin']);
  if (leftMargin != null) {
    uikDropDownProps.leftMargin = leftMargin;
  }

  final double? rightMargin = jsonConvert.convert<double>(json['rightMargin']);
  if (rightMargin != null) {
    uikDropDownProps.rightMargin = rightMargin;
  }

  final double? topMargin = jsonConvert.convert<double>(json['topMargin']);
  if (topMargin != null) {
    uikDropDownProps.topMargin = topMargin;
  }

  final double? bottomMargin =
      jsonConvert.convert<double>(json['bottomMargin']);
  if (bottomMargin != null) {
    uikDropDownProps.bottomMargin = bottomMargin;
  }

  final String? text = jsonConvert.convert<String>(json['text']);
  if (text != null) {
    uikDropDownProps.text = text;
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikDropDownProps.action = action;
  }
  return uikDropDownProps;
}
