import 'package:ui_sdk/components/UikText.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikFilterRowThreeComponentProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';

import '../../components/WidgetType.dart';

UikFilterRowThreeComponentProps $UikFilterRowThreeComponentPropsFromJson(
    Map<String, dynamic> json) {
  final UikFilterRowThreeComponentProps uikFilterRowThreeComponentProps =
      UikFilterRowThreeComponentProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikFilterRowThreeComponentProps.id = id;
  }

  final double? leftMargin = jsonConvert.convert<double>(json['leftMargin']);
  if (leftMargin != null) {
    uikFilterRowThreeComponentProps.leftMargin = leftMargin;
  }

  final double? rightMargin = jsonConvert.convert<double>(json['rightMargin']);
  if (rightMargin != null) {
    uikFilterRowThreeComponentProps.rightMargin = rightMargin;
  }

  final double? topMargin = jsonConvert.convert<double>(json['topMargin']);
  if (topMargin != null) {
    uikFilterRowThreeComponentProps.topMargin = topMargin;
  }

  final double? bottomMargin =
      jsonConvert.convert<double>(json['bottomMargin']);
  if (bottomMargin != null) {
    uikFilterRowThreeComponentProps.bottomMargin = bottomMargin;
  }

  final String? middleText = jsonConvert.convert<String>(json['middleText']);
  if (middleText != null) {
    uikFilterRowThreeComponentProps.middleText =
        UikText(WidgetType.UikText, UikTextProps.fromJson(json['middleText']));
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikFilterRowThreeComponentProps.action = action;
  }

  return uikFilterRowThreeComponentProps;
}
