import 'package:ui_sdk/components/UikButton.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';

import '../../components/WidgetType.dart';
import '../../props/UikMultiButtonRowProps.dart';

UikMultiButtonRowProps $UikMultiButtonRowPropsFromJson(
    Map<String, dynamic> json) {
  final uikMultiButtonRowProps = UikMultiButtonRowProps();

  final String? id = jsonConvert.convert<String>(json['id']);

  final List<dynamic>? buttons =
      jsonConvert.convert<List<dynamic>>(json["buttons"]);

  if (id != null) {
    uikMultiButtonRowProps.id = id;
  }

  if (buttons != null) {
    for (var i = 0; i < buttons.length; i++) {
      uikMultiButtonRowProps.buttons.add(
          UikButton(WidgetType.UikText, UikButtonProps.fromJson(buttons[i])));
    }
  }

  return uikMultiButtonRowProps;
}

Map<String, dynamic> $UikMultiButtonRowPropsToJson(
    uikMultiButtonRowPropsentity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = uikMultiButtonRowPropsentity.id;
  return data;
}
