import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikAnimatedImageProps.dart';

UikAnimatedImageProps $UikAnimatedImagePropsFromJson(
    Map<String, dynamic> json) {
  final UikAnimatedImageProps uikAnimatedImageProps = UikAnimatedImageProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikAnimatedImageProps.id = id;
  }

  final double? width = jsonConvert.convert<double>(json['width']);

  if (width != null) {
    uikAnimatedImageProps.width = width;
  }

  final double? height = jsonConvert.convert<double>(json['height']);
  if (height != null) {
    uikAnimatedImageProps.height = height;
  }

  final double? topMargin = jsonConvert.convert<double>(json['topMargin']);
  if (topMargin != null) {
    uikAnimatedImageProps.topMargin = topMargin;
  }

  final double? leftMargin = jsonConvert.convert<double>(json['leftMargin']);
  if (leftMargin != null) {
    uikAnimatedImageProps.leftMargin = leftMargin;
  }

  final double? rightMargin = jsonConvert.convert<double>(json['rightMargin']);
  if (rightMargin != null) {
    uikAnimatedImageProps.rightMargin = rightMargin;
  }

  final double? bottomMargin =
      jsonConvert.convert<double>(json['bottomMargin']);
  if (bottomMargin != null) {
    uikAnimatedImageProps.bottomMargin = bottomMargin;
  }

  final double? topLeftRadius =
      jsonConvert.convert<double>(json['topLeftRadius']);
  if (topLeftRadius != null) {
    uikAnimatedImageProps.topLeftRadius = topLeftRadius;
  }

  final double? topRightRadius =
      jsonConvert.convert<double>(json['topRightRadius']);
  if (topRightRadius != null) {
    uikAnimatedImageProps.topRightRadius = topRightRadius;
  }

  final double? bottomLeftRadius =
      jsonConvert.convert<double>(json['bottomLeftRadius']);
  if (bottomLeftRadius != null) {
    uikAnimatedImageProps.bottomLeftRadius = bottomLeftRadius;
  }

  final double? bottomRightRadius =
      jsonConvert.convert<double>(json['bottomRightRadius']);
  if (bottomRightRadius != null) {
    uikAnimatedImageProps.bottomRightRadius = bottomRightRadius;
  }

  final String? url = jsonConvert.convert<String>(json['url']);
  if (url != null) {
    uikAnimatedImageProps.url = url;
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikAnimatedImageProps.action = action;
  }
  return uikAnimatedImageProps;
}
