import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikDividerProps.dart';
import 'package:ui_sdk/utils/extensions.dart';

UikDividerProps $UikDividerPropsFromJson(Map<String, dynamic> json) {
  final UikDividerProps uikDividerProps = UikDividerProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikDividerProps.id = id;
  }
  final String? dividerColor =
      jsonConvert.convert<String>(json['dividerColor']);
  if (dividerColor != null) {
    uikDividerProps.dividerColor = dividerColor.toColor();
  }
  final String? corner = jsonConvert.convert<String>(json['corner']);
  if (corner != null) {
    uikDividerProps.corner = corner;
  }
  final double? widthSize = jsonConvert.convert<double>(json['widthSize']);
  if (widthSize != null) {
    uikDividerProps.widthSize = widthSize;
  }
  final String? dividerSize = jsonConvert.convert<String>(json['dividerSize']);
  if (dividerSize != null) {
    uikDividerProps.dividerSize = dividerSize;
  }
  return uikDividerProps;
}

Map<String, dynamic> $UikDividerPropsToJson(UikDividerProps entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  // data['activetopColor'] = entity.activetopColor;
  // data['inactivetopColor'] = entity.inactivetopColor;
  // data['activebackgroundColor'] = entity.activebackgroundColor;
  // data['inactivetopColor'] = entity.inactivetopColor;
  return data;
}
