import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../../components/UikIcon.dart';
import '../../components/WidgetType.dart';
import '../../props/UikGroupAvatarProps.dart';
import '../../props/UikIconProps.dart';

UikGroupAvatarProps $UikGroupAvatarPropsFromJson(Map<String, dynamic> json) {
  final UikGroupAvatarProps uikGroupAvatarProps = UikGroupAvatarProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikGroupAvatarProps.id = id;
  }

  final String? leftIcon = jsonConvert.convert<String>(json['leftIcon']);
  if (leftIcon != null) {
    uikGroupAvatarProps.leftIcon = leftIcon;
  }

  final String? rightIcon = jsonConvert.convert<String>(json['rightIcon']);
  if (rightIcon != null) {
    uikGroupAvatarProps.rightIcon = rightIcon;
  }

  final String? list = jsonConvert.convert<String>(json['list']);
  if (list != null) {
    uikGroupAvatarProps.list = list.split(",");
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikGroupAvatarProps.action = action;
  }

  final String? plusIcon = jsonConvert.convert<String>(json['plusIcon']);
  if (plusIcon != null) {
    uikGroupAvatarProps.plusIcon =
        UikIcon(WidgetType.UikText, UikIconProps.fromJson(json['plusIcon']));
  }
  return uikGroupAvatarProps;
}
