import 'package:ui_sdk/generated/json/base/json_convert_content.dart';

import '../../props/UikImageProps.dart';
import '../../props/UikMyAgentRewardProps.dart';
import '../../props/UikTextProps.dart';

UikMyAgentRewardProps $UikMyAgentRewardPropsFromJson(Map<String, dynamic> json) {
  final UikMyAgentRewardProps uikMyAgentRewardProps = UikMyAgentRewardProps();
  
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikMyAgentRewardProps.id = id;
  }

  final double? width = jsonConvert.convert<double>(json['width']);
  if (width != null) {
    uikMyAgentRewardProps.width = width;
  }

  final double? height = jsonConvert.convert<double>(json['height']);
  if (height != null) {
    uikMyAgentRewardProps.height = height;
  }

  final UikTextProps text1Props =
      jsonConvert.convert<UikTextProps>(json['text1Props']) ?? UikTextProps(); // Provide a default value
  uikMyAgentRewardProps.text1Props = text1Props;

  final UikTextProps text2Props =
      jsonConvert.convert<UikTextProps>(json['text2Props']) ?? UikTextProps(); // Provide a default value
  uikMyAgentRewardProps.text2Props = text2Props;

  final UikTextProps text3Props =
      jsonConvert.convert<UikTextProps>(json['text3Props']) ?? UikTextProps(); // Provide a default value
  uikMyAgentRewardProps.text3Props = text3Props;

  final UikTextProps amountProps =
      jsonConvert.convert<UikTextProps>(json['amountProps']) ?? UikTextProps(); // Provide a default value
  uikMyAgentRewardProps.amountProps = amountProps;

  final UikTextProps num1Props =
      jsonConvert.convert<UikTextProps>(json['num1Props']) ?? UikTextProps(); // Provide a default value
  uikMyAgentRewardProps.num1Props = num1Props;

  final UikTextProps num2Props =
      jsonConvert.convert<UikTextProps>(json['num2Props']) ?? UikTextProps(); // Provide a default value
  uikMyAgentRewardProps.num2Props = num2Props;

  final UikImageProps imageProps =
      jsonConvert.convert<UikImageProps>(json['imageProps']) ?? UikImageProps(); // Provide a default value
  uikMyAgentRewardProps.imageProps = imageProps;

  final UikImageProps dot1Props =
      jsonConvert.convert<UikImageProps>(json['dot1Props']) ?? UikImageProps(); // Provide a default value
  uikMyAgentRewardProps.dot1Props = dot1Props;

  final UikImageProps dot2Props =
      jsonConvert.convert<UikImageProps>(json['dot2Props']) ?? UikImageProps(); // Provide a default value
  uikMyAgentRewardProps.dot2Props = dot2Props;

  final UikImageProps circleIconProps =
      jsonConvert.convert<UikImageProps>(json['circleIconProps']) ?? UikImageProps(); // Provide a default value
  uikMyAgentRewardProps.circleIconProps = circleIconProps;

  return uikMyAgentRewardProps;
}
