import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikScrollOrderAgainProductProps.dart';

import '../../components/UikOrderAgainProduct.dart';
import '../../components/WidgetType.dart';
import '../../props/UikOrderAgainProductProps.dart';

UikScrollOrderAgainProductProps $UikScrollOrderAgainProductPropsFromJson(
    Map<String, dynamic> json) {
  final UikScrollOrderAgainProductProps uikScrollOrderAgainProductProps =
      UikScrollOrderAgainProductProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikScrollOrderAgainProductProps.id = id;
  }
  final String? text = jsonConvert.convert<String>(json['text']);
  if (text != null) {
    uikScrollOrderAgainProductProps.text = text;
  }

  final List<dynamic>? ll = jsonConvert.convert<List<dynamic>>(json['ll']);
  if (ll != null) {
    for (int i = 0; i < ll.length; i++)
      uikScrollOrderAgainProductProps.ll.add(UikOrderAgainProduct(
          WidgetType.UikText, UikOrderAgainProductProps.fromJson(ll[i])));
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikScrollOrderAgainProductProps.action = action;
  }
  return uikScrollOrderAgainProductProps;
}
