import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikIconProps.dart';

import '../../components/UikIcon.dart';
import '../../components/WidgetType.dart';
import '../../props/UikStepperProps.dart';

UikStepperProps $UikStepperPropsFromJson(Map<String, dynamic> json) {
  final UikStepperProps uikStepperProps = UikStepperProps();

  final int? upperLimit = jsonConvert.convert<int>(json['upperLimit']);
  if (upperLimit != null) {
    uikStepperProps.upperLimit = upperLimit;
  }

  final int? lowerLimit = jsonConvert.convert<int>(json['lowerLimit']);
  if (lowerLimit != null) {
    uikStepperProps.lowerLimit = lowerLimit;
  }

  final String? minusIcon = jsonConvert.convert<String>(json['minusIcon']);
  if (minusIcon != null) {
    uikStepperProps.minusIcon =
        UikIcon(WidgetType.UikText, UikIconProps.fromJson(json['minusIcon']));
  }

  final String? plusIcon = jsonConvert.convert<String>(json['plusIcon']);
  if (plusIcon != null) {
    uikStepperProps.plusIcon =
        UikIcon(WidgetType.UikText, UikIconProps.fromJson(json['plusIcon']));
  }

  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikStepperProps.id = id;
  }

  final String? text = jsonConvert.convert<String>(json['text']);
  if (text != null) {
    uikStepperProps.text = text;
  }
  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikStepperProps.action = action;
  }
  return uikStepperProps;
}
