import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/components/uikTextChip.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikTextChipListProps.dart';
import 'package:ui_sdk/props/UikTextChipProps.dart';

UikTextChipListProps $UikTextChipListPropsFromJson(Map<String, dynamic> json) {
  print(json);
  final UikTextChipListProps uikTextChipListProps = UikTextChipListProps();

  final String? id = jsonConvert.convert<String>(json['id']);

  final List<dynamic>? children =
      jsonConvert.convert<List<dynamic>>(json["children"]);

  if (id != null) {
    uikTextChipListProps.id = id;
  }

  if (children != null) {
    print(children);

    for (var i = 0; i < children.length; i++) {
      uikTextChipListProps.children.add(UikTextChip(
          WidgetType.UikText, UikTextChipProps.fromJson(children[i])));
    }
  }

  return uikTextChipListProps;
}

Map<String, dynamic> $UikTextChipListPropsToJson(UikTextChipListProps entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  return data;
}
