import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';

import '../props/UikLokalAcademyCardProps.dart';

UikLokalAcademyCardProps $UikLokalAcademyCardPropsFromJson(
    Map<String, dynamic> json) {
  final UikLokalAcademyCardProps uikLokalAcademyCardProps =
      UikLokalAcademyCardProps();

  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikLokalAcademyCardProps.id = id;
  }

  final String? logoPath = jsonConvert.convert<String>(json['logoPath']);
  if (logoPath != null) {
    uikLokalAcademyCardProps.logoPath = logoPath;
  }

  final String? cardType = jsonConvert.convert<String>(json['cardType']);
  if (cardType != null) {
    uikLokalAcademyCardProps.cardType = cardType;
  }

  final String? title = jsonConvert.convert<String>(json['title']);
  if (title != null) {
    uikLokalAcademyCardProps.title = title;
  }

  final String? content = jsonConvert.convert<String>(json['content']);
  if (content != null) {
    uikLokalAcademyCardProps.content = content;
  }

  final String? reward = jsonConvert.convert<String>(json['reward']);
  if (reward != null) {
    uikLokalAcademyCardProps.reward = reward;
  }

  final UikButtonProps buttonText =
    jsonConvert.convert<UikButtonProps>(json['buttonText']) ?? UikButtonProps(); // Provide a default value
uikLokalAcademyCardProps.buttonText = buttonText;


  final double? width = jsonConvert.convert<double>(json['width']);
  if (width != null) {
    uikLokalAcademyCardProps.width = width;
  }

  final double? height = jsonConvert.convert<double>(json['height']);
  if (height != null) {
    uikLokalAcademyCardProps.height = height;
  }

  final double? logoWidth = jsonConvert.convert<double>(json['logoWidth']);
  if (logoWidth != null) {
    uikLokalAcademyCardProps.logoWidth = logoWidth;
  }

  final double? logoHeight = jsonConvert.convert<double>(json['logoHeight']);
  if (logoHeight != null) {
    uikLokalAcademyCardProps.logoHeight = logoHeight;
  }

  final double? titleFontSize =
      jsonConvert.convert<double>(json['titleFontSize']);
  if (titleFontSize != null) {
    uikLokalAcademyCardProps.titleFontSize = titleFontSize;
  }

  final double? contentFontSize =
      jsonConvert.convert<double>(json['contentFontSize']);
  if (contentFontSize != null) {
    uikLokalAcademyCardProps.contentFontSize = contentFontSize;
  }

  return uikLokalAcademyCardProps;
}
