import 'dart:convert';

import 'package:ui_sdk/generated/json/api_page_response_entity.g.dart';

class ApiResponse {
  bool? isSuccess;
  dynamic? data;
  Map<String?, dynamic>? error;

  ApiResponse();
  factory ApiResponse.fromJson(Map<String, dynamic> json) =>
      $ApiResponseFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
