import 'dart:convert';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_bagItem_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikBagItemProps extends WidgetProps {
  late String id;
  late String productPrice = "";
  late String productDescription = "";
  late String imageUrl = "";
  late Widget? stepper = null;
  late Widget? deleteIcon = null;
  late UikAction action;

  UikBagItemProps();

  factory UikBagItemProps.fromJson(Map<String, dynamic> json) =>
      $UikBagItemPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
