// ignore_for_file: file_names

import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_filteroption_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikFilterOptionProps extends WidgetProps {
  late String id;
  late UikAction action;
  late Widget? threecomponentrow;
  late Widget? textradiobutton;
  late Widget? button;

  UikFilterOptionProps();

  factory UikFilterOptionProps.fromJson(Map<String, dynamic> json) =>
      $UikFilterOptionPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
