// ignore_for_file: file_names

import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_HomeCardFive_props.dart';
import 'package:ui_sdk/props/UikAction.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikHomeCardFiveProps extends WidgetProps {
  late String id;
  late Widget? image;
  late Widget? text;
  late double marginTop = 0;
  late double marginLeft = 0;
  late double marginRight = 0;
  late double marginBottom = 0;
  late UikAction action;

  UikHomeCardFiveProps();

  factory UikHomeCardFiveProps.fromJson(Map<String, dynamic> json) =>
      $UikHomeCardFivePropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
