import 'dart:convert';

import 'package:ui_sdk/generated/json/base/json_field.dart';

import '../generated/json/uik_lottieview_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikLottieViewProps extends WidgetProps {
  late String id;
  late String url;
  late double height = (width/16)*9;
  late double width = (double.infinity);
  late bool repeat = true;
  late bool reverse = false;
  late double aspectRatio;
  UikLottieViewProps();

  factory UikLottieViewProps.fromJson(Map<String, dynamic> json) =>
      $UikLottieViewPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
