import 'dart:convert';

import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikImageProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';

import '../generated/json/uik_my_agent_rewards_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikMyAgentRewardProps extends WidgetProps {
  late String id;
  late UikImageProps imageProps;
  late UikTextProps amountProps;
  late UikTextProps text1Props;
  late UikTextProps text2Props;
  late UikTextProps text3Props;
  late UikImageProps dot1Props;
  late UikImageProps dot2Props;
  late UikTextProps num1Props;
  late UikTextProps num2Props;
  late UikImageProps circleIconProps;
  late double width;
  late double height;

  UikMyAgentRewardProps();

  factory UikMyAgentRewardProps.fromJson(Map<String, dynamic> json) =>
      $UikMyAgentRewardPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
