import 'dart:convert';

import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_mycustomerdetails_props.g.dart';
import 'UikImageProps.dart';
import 'UikTextProps.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikMyCustomerDetailsProps extends WidgetProps {
  late String id;
  late UikAction action;
  late UikImageProps image;
  late UikTextProps name;
  late UikTextProps phone;
  late UikTextProps email;
  late UikTextProps age;
  late UikTextProps state;
  late UikTextProps district;
  late UikTextProps block;
  late UikTextProps pincode;
  late UikTextProps employment;
  late UikTextProps date;
  late double width;
  late double height;

  UikMyCustomerDetailsProps();

  factory UikMyCustomerDetailsProps.fromJson(Map<String, dynamic> json) =>
      $UikMyCustomerDetailsPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
