import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_productCardBig_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikProductCardBigProps extends WidgetProps {
  late String id;
  late String imageUrl = "";
  late String productPrice = "";
  late String productDescription = "";
  late bool isBadge = false;
  late Widget? badge = null;
  late Widget favIcon = Icon(Icons.favorite_outline_sharp);
  late UikAction action;

  UikProductCardBigProps();

  factory UikProductCardBigProps.fromJson(Map<String, dynamic> json) =>
      $UikProductCardBigPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
