import 'dart:convert';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_productcard_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikProductCardProps extends WidgetProps {
  late String id;
  late String productPrice = "";
  late String productDescription = "";
  late String imageUrl = "";
  late Widget trailing = Container();
  late UikAction action;

  UikProductCardProps();

  factory UikProductCardProps.fromJson(Map<String, dynamic> json) =>
      $UikProductCardPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
