import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_productinformationcomp_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikProductInformationCompProps extends WidgetProps {
  late String id;
  late UikAction action;
  late Widget? icon;
  late Widget? productInformation;
  late Widget? measurements;
  late Widget? height;
  late Widget? width;
  late Widget? depth;
  late Widget? weight;
  late Widget? composition;
  late Widget? mainmaterial;
  late Widget? weight2;

  UikProductInformationCompProps();

  factory UikProductInformationCompProps.fromJson(Map<String, dynamic> json) =>
      $UikProductInformationCompPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
