import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_ScreenTitleSubtitle_props.g.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikScreenTitleSubtitleProps extends WidgetProps {
  late String id;
  late double rightPadding = 0.0;
  late double leftPadding = 0.0;
  late double topPadding = 0.0;
  late double bottomPadding = 0.0;
  late Widget title;
  late Widget? subtitle;

  UikScreenTitleSubtitleProps();

  factory UikScreenTitleSubtitleProps.fromJson(Map<String, dynamic> json) =>
      $UikScreenTitleSubtitlePropsFromJson(json);

  Map<String, dynamic> toJson() => $UikScreenTitleSubtitlePropsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
