import 'dart:convert';

import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_SelectFiles_props.g.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikSelectFilesProps extends WidgetProps {
  late String id;
  late double height = 150.0;
  late double width = 350.0;
  late double rightPadding = 0.0;
  late double leftPadding = 0.0;
  late double topPadding = 0.0;
  late double bottomPadding = 0.0;
  late double rightMargin = 0.0;
  late double leftMargin = 0.0;
  late double topMargin = 0.0;
  late double bottomMargin = 0.0;

  UikSelectFilesProps();

  factory UikSelectFilesProps.fromJson(Map<String, dynamic> json) =>
      $UikSelectFilesPropsFromJson(json);

  Map<String, dynamic> toJson() => $UikSelectFilesPropsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
