import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_select_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikSelectProps extends WidgetProps {
  late String Corner = "Recktangle";
  late bool Border = false;
  late bool Disable = false;
  late Widget? avatar = null;
  late bool Heading = false;
  late bool noIcon = false;
  late String? size = null;
  late Widget? rightIcon = null;

  late String id;
  late String text;
  late UikAction action;

  UikSelectProps();

  factory UikSelectProps.fromJson(Map<String, dynamic> json) =>
      $UikSelectPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
