import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_SortPage_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikSortPageProps extends WidgetProps {
  late String id;
  late Widget sortButton;
  late Widget filterButton;
  late UikAction action;
  // ignore: avoid_init_to_null
  late Widget? sheet = null;

  UikSortPageProps();

  factory UikSortPageProps.fromJson(Map<String, dynamic> json) =>
      $UikSortPagePropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
