import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/uik_texticonbutton_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/WidgetProps.dart';

class UikTextIconButtonProps extends WidgetProps {
  late String id;
  late UikAction action;
  late Widget icon;
  late Widget title;
  late Widget subtitle;
  late double containerWidth;

  UikTextIconButtonProps();
  factory UikTextIconButtonProps.fromJson(Map<String, dynamic> json) =>
      $UikTextIconButtonPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
