import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_Total_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikTotalProps extends WidgetProps {
  late String id;
  late double leftMargin = 0.0;
  late double rightMargin = 0.0;
  late double topMargin = 0.0;
  late double bottomMargin = 0.0;
  late Widget? firstText = null;
  late Widget? secondText = null;
  late Widget? thirdText = null;
  late Widget? fourthText = null;
  late UikAction action;

  UikTotalProps();

  factory UikTotalProps.fromJson(Map<String, dynamic> json) =>
      $UikTotalPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
