
import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikButton.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:widgetbook/widgetbook.dart';

import 'constants.dart';
class WidgetBookHotReload extends StatelessWidget {

  const WidgetBookHotReload ({
    Key? key,
   }): super(key : key);

  @override
  Widget build(BuildContext context) {

    // final devices = [
    //   Apple.iPhone12,
    //   Samsung.s21ultra,
    //    Device.custom(
    //     name: 'Test',
    //     resolution: Resolution(
    //       nativeSize: Size(400, 400),
    //       scaleFactor: 1,
    //     ),
    //   ),
    // ];
    // final deviceFrameBuilder = DefaultDe(
    //   setting: DeviceGestureSettings.firstAsSelected(devices: devices),
    // );
    //
    // final activeFrameBuilder = WidgetbookFrame(
    //   setting: DeviceSetting.firstAsSelected(devices: devices),
    // );


     Category atoms = Category(name : ATOMS, widgets: [
      WidgetElement(name: WidgetType.UikButton.name, stories: [
        Story(name: WidgetType.UikButton.name, builder: (context) => Container(child: UikButton( WidgetType.UikButton, UikButtonProps().mockWidget())))
      ])
    ]);

    return Widgetbook(categories: [
      Category(name : TOKENS),
      atoms,
      Category(name : MOLECULES),
      Category(name : ORGANISMS),
      Category(name : TEMPLATES),
      Category(name : PAGES)
    ],
        lightTheme: ThemeData.light(),
        darkTheme: ThemeData.dark(),
        appInfo: AppInfo(name: 'UI SDK @Digia'));
  }
}

void main() {
  runApp(WidgetBookHotReload());
}